net.corda.core.messaging

## Class StateMachineUpdate.Added

- net.corda.core.messaging.StateMachineUpdate
- - net.corda.core.messaging.StateMachineUpdate.Added

- Enclosing class:
    StateMachineUpdate

      public static class StateMachineUpdate.Added
      extends StateMachineUpdate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.messaging.StateMachineUpdate

      `StateMachineUpdate.Added, StateMachineUpdate.Removed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Added(StateMachineInfo stateMachineInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineInfo` | `getStateMachineInfo()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.corda.core.messaging.StateMachineUpdate

      `getId`

- - ### Constructor Detail

    - #### Added

          public Added(StateMachineInfo stateMachineInfo)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getStateMachineInfo

          public StateMachineInfo getStateMachineInfo()